<template>
    <v-layout-default>
        <div class="bg-white rounded-[20px]  relative">
            <v-loading :loading="isLoading" />
            <div
                class="border-b border-[#F3F3F3] py-[19px] px-[28px] font-mm font-bold text-[20px] text-primary flex items-center justify-between ">
                <div class="space-x-[13px] flex items-center">
                    <fa-icon class="text-2xl" :icon="`fa-flag`" />
                    <h2>All Report</h2>
                </div>
                <div class="relative w-60">
                    <div class="flex absolute inset-y-0 left-0 items-center pl-3 pointer-events-none">
                        <svg aria-hidden="true" class="w-5 h-5 text-gray-500 dark:text-gray-400" fill="currentColor"
                            viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">
                            <path fill-rule="evenodd"
                                d="M8 4a4 4 0 100 8 4 4 0 000-8zM2 8a6 6 0 1110.89 3.476l4.817 4.817a1 1 0 01-1.414 1.414l-4.816-4.816A6 6 0 012 8z"
                                clip-rule="evenodd"></path>
                        </svg>
                    </div>
                    <input type="text" v-model.trim="search"
                        class="bg-gray-50 rounded-full  border border-gray-300 text-gray-900 text-sm focus:ring-blue-500 focus:border-blue-500 block w-full pl-10 p-2.5"
                        placeholder="Search">
                    <button type="button"
                        class="absolute inset-y-0 right-0 flex items-center pr-3 p-3">
                        <fa-icon class="text-xl absolute right-2  text-gray-400 hover:bg-[#cccccc] px-3 py-2 rounded-[100%]"
                            :icon="`fa-xmark`" />
                    </button>
                </div>
            </div>
            <div class="p-[19px]">
                <VReport />
            </div>
        </div>
    </v-layout-default>
</template>

<script>
import VLayoutDefault from '@/pages/layout/VLayoutDefault.vue'
import VReport from '@/components/Form/VReport.vue';
import VLoading from '@/components/VLoading';
import { mapGetters } from 'vuex';

export default {
    name: 'v-report',
    components: {
        VLayoutDefault,
        VReport,
        VLoading,
    },
    computed: {
        ...mapGetters('Report', ['isLoading', 'items', 'totalRecord'])
    },
}
</script>